says "click here to get the plugin" even if plugin already loaded

RESOLVED WORKSFORME

Status

Core Graveyard
Java: OJI
RESOLVED WORKSFORME
17 years ago
8 years ago

People

(Reporter: Chris Brooking, Assigned: Joe Chou)

Tracking

Trunk
x86
Windows NT

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

17 years ago
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.6) Gecko/20011120
BuildID:    2001112009

it appears that data of the type application/x-java-applet without the version
modifier always requests the plugin download. If the mime-type has a version
then the applet executes correctly.

Reproducible: Always
Steps to Reproduce:
1. Enusre java plugin is loaded
2. go to URL http://e-docs.bea.com/wle/search/search.htm


Actual Results:  "click here to get the plug-in" displayed

Expected Results:  java applet should be executed

With tomcat, JSPS loaded with 

<jsp:plugin type="applet"
			archive="coreservlets.jar"
			codebase="classes"
            code="coreservlets.ShadowedTextApplet"
            width="475" height="350"
            iepluginurl="/Chris/html/jinstall-1_2_2-win.cab">
  <jsp:params>
    <jsp:param name="MESSAGE" value="Your Message Here" />
  </jsp:params>
</jsp:plugin>

request the plugin.

Adding the jreversion= option means the applet executes as expected.

<jsp:plugin type="applet"
			archive="coreservlets.jar"
			codebase="classes"
			jreversion="1.2"
            code="coreservlets.ShadowedTextApplet"
            width="475" height="350"
            iepluginurl="/Chris/html/jinstall-1_2_2-win.cab">
  <jsp:params>
    <jsp:param name="MESSAGE" value="Your Message Here" />
  </jsp:params>
</jsp:plugin>

Internet explorer executes the applet via the plugin even without the version.

Comment 1

17 years ago
omg, it's year 2002 now ! Chris, pls try a recent build ( within this week) and 
try to reproduce this issue.  Also, bugs involving the 'java plugin' go to OJI 
and not 'Plugins'. Thx!
Assignee: av → joe.chou
Component: Plug-ins → OJI
QA Contact: shrir → pmac
Summary: says "click here to get the plugin" even if plugin already loaded → says "click here to get the plugin" even if plugin already loaded
wfm with win2k build 20020117.. and JRE 1.4Beta
(Reporter)

Comment 3

17 years ago
Tested on 2001122106 - problem still occurs
Reporter: And which JRE ? (Can you try JRE1.4Beta ? )

Comment 5

17 years ago
I have had this problem for a very long time.  

I typically download a new build (mozilla-win32-installer-sea.exe) about once
per week.  I have never gotten java to work just after an install.  I generally
always have to copy the NPJava*.dll files into my Plugins directory and that
doesn't see to work either.  It has been quite a long time since Java has worked
for me in Mozilla.

Win98 (4.10.1998)
Mozilla 2002020512
Java j2re-1_3_1_02-win  (I assume that is JRE1.3.1 ?)

Comment 6

17 years ago
Chris, I couldn't reproduce this bug at all.
It loads fine on my windows 98 (commercial build: 2002-02-07-06-trunk)
with jre 1.3.1.

Here is my java console window:

Java(TM) Plug-in: Version 1.3.1
Using JRE version 1.3.1 Java HotSpot(TM) Client VM
User home directory = C:\WINDOWS\Profiles\pmac000

Proxy Configuration: Browser Proxy Configuration



----------------------------------------------------
c:   clear console window
f:   finalize objects on finalization queue
g:   garbage collect
h:   display this help message
l:   dump classloader list
m:   print memory usage
q:   hide console
s:   dump system properties
t:   dump thread list
x:   clear classloader cache
0-5: set trace level to <n>
----------------------------------------------------

JObjects QuestAgent

Copyright (c) 1997-1999 JObjects. All rights reserved.

http://www.jobjects.com

Comment 7

17 years ago
WFM on W2k with java 1.4.0

Comment 8

17 years ago
Is this problem still reproducible?
Are you able to open java console? 
What about:plugin says?

Comment 9

17 years ago
With version 2002032803 I'm still getting this problem with my win98 machine. 
At work on my win2K machine, it is working fine.

> Are you able to open java console?

Java Console does not open.

> What about:plugin says?

It shows that the following java dlls were loaded with their mime types:

C:\PROGRAM FILES\MOZILLA.ORG\MOZILLA-03-28\plugins\NPJava11.dll
application/x-java-applet;version=1.1.1 Java Applet Yes
application/x-java-bean;version=1.1.1 JavaBeans Yes
application/x-java-applet;version=1.1 Java Applet Yes
application/x-java-bean;version=1.1 JavaBeans Yes
application/x-java-applet Java Applet Yes
application/x-java-bean JavaBeans Yes

C:\PROGRAM FILES\MOZILLA.ORG\MOZILLA-03-28\plugins\NPJava12.dll
application/x-java-applet;version=1.2 Java Applet Yes
application/x-java-bean;version=1.2 JavaBeans Yes
application/x-java-applet;version=1.1.3 Java Applet Yes
application/x-java-bean;version=1.1.3 JavaBeans Yes
application/x-java-applet;version=1.1.2 Java Applet Yes
application/x-java-bean;version=1.1.2 JavaBeans Yes

C:\PROGRAM FILES\MOZILLA.ORG\MOZILLA-03-28\plugins\NPJava131_02.dll
application/x-java-applet;jpi-version=1.3.1_02 Java Applet Yes
application/x-java-bean;jpi-version=1.3.1_02 JavaBeans Yes

C:\PROGRAM FILES\MOZILLA.ORG\MOZILLA-03-28\plugins\NPJava32.dll
application/x-java-applet;version=1.3 Java Applet Yes
application/x-java-bean;version=1.3 JavaBeans Yes
application/x-java-applet;version=1.2.2 Java Applet Yes
application/x-java-bean;version=1.2.2 JavaBeans Yes
application/x-java-applet;version=1.2.1 Java Applet Yes
application/x-java-bean;version=1.2.1 JavaBeans Yes

When I goto http://java.sun.com/, on the right, third box down, I get the "Click
here to get the plugin".  I haven't tried the "click here..." for a while so
I'll do it just after submitting this comment.  If it works, I'll make another
comment.

Reporter: 
There is a missing DLL : Npoji600.dll (Jre1.3.x) or npoji610.dll (Jre1.4)
Can you copy that dll from the jre installation into mozilla plugin folder ?

Comment 11

17 years ago
Yes, adding Npoji600.dll fixed the problem.  The java applet on
http://java.sun.com now runs correctly.  Thanks for the suggestion.

PS: When I clicked on "get the plugin" it started the download, installed java
and then crashed when I tried to go to slashdot.org.  Here is the Incident ID:
TB4803002X which describes the problem a bit more.

Also, I still cannot get GameCast to run from:
http://sports.espn.go.com/mlb/scoreboard  It starts up but never finishes.

Comment 12

17 years ago
So, original problem is resolved. 
I suggest to file separate bug on new problem and resolve this one
(to keep track of solutions). 

It still interesting why plugin installation does not always copy 
required lib but i belive there is a separate bug about plugin installation
on windows platform. 

Comment 13

16 years ago
resolving this bug. new problems should be reported as new bugs. 
Status: UNCONFIRMED → RESOLVED
Last Resolved: 16 years ago
Resolution: --- → WORKSFORME

Updated

16 years ago
QA Contact: pmac → petersen

Updated

8 years ago
Component: Java: OJI → Java: OJI
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.